### Method

# EDataServer SourceResource set_identity

since: 3.6

#### Declaration [src]

    void
    e_source_resource_set_identity (
      ESourceResource* extension,
      const gchar* identity
    )

#### Description [src]

Sets the server-assigned identity of the remote resource associated with the `ESource` to which `extension` belongs.

The internal copy of `identity` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceResource:identity`

#### Parameters

`identity`

  Type: `const gchar*`

  The identity of a remote resource.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.